<?php
require "db.php";

if (!is_numeric($_GET['id'])) {
    exit();
}

$id = (int) $_GET['id'];

$row = dbRow("SELECT * FROM `static` WHERE `record_num` = '$id'", false);
if (!is_array($row)) {
    setMessage("Static page ID $id does not exist!", 'error');
    pageNotFound(true);
}

if (isset($_POST['formSubmit'])) {
    $_POST = array_map_array('trim', $_POST);

    if ($_POST['filename'] == "") {
        setMessage('Filename (URL) cannot be empty!', 'error');
    } elseif (is_array(dbRow("SELECT * FROM `static` WHERE `filename` = '" . mysqli_real_escape_string($dbconn, $_POST['filename']) . "' AND `record_num` != '$id'"))) {
        setMessage('Filename <em>' . $_POST['filename'] . '</em> already exists!', 'error');
    }

    if ($_POST['title'] == "") {
        setMessage('Title cannot be empty!', 'error');
    }

    if (!getMessages(false, 'error')) {
        $data = array(
            'filename' => $_POST['filename'],
            'title' => $_POST['title'],
            'headertitle' => $_POST['headertitle'],
            'body' => $_POST['body'],
            'metakw' => $_POST['metakw'],
            'metadesc' => $_POST['metadesc'],
            'status' => (int) $_POST['status'],
            'record_num' => $id,
        );
        dbUpdate('static', $data);
        if (is_array($_POST['lang'])) {
            foreach ($_POST['lang'] as $k => $v) {
                $_POST['lang'][$k]['body'] = base64_encode(substr($_POST['lang'][$k]['body'], 0, -4));
                dbInsert('static_languages', array(
                    'static' => $id,
                    'language' => $k,
                    'data' => serialize($_POST['lang'][$k]),
                        ), false, true);
            }
        }
        setMessage('Static page saved. <a href="' . $basehttp . '/admin/static.php"><b>Click here to return to Static Pages</b></a>');
        header("Location: $_SERVER[REQUEST_URI]");
        exit();
    } else {
        if (is_array($_POST['lang'])) {
            foreach ($_POST['lang'] as $k => $v) {
                $_POST['lang'][$k]['body'] = base64_encode(substr($_POST['lang'][$k]['body'], 0, -4));
            }
        }
    }
}

$langInfo = array();
$langData = dbQuery("SELECT * FROM `static_languages` WHERE `static` = '$id'", false);
foreach ($langData as $langRow) {
    $langInfo[$langRow['language']] = unserialize($langRow['data']);
}

$_POST += $row;
$_POST['lang'] = array();
$_POST['lang'] += $langInfo;

entities_walk($_POST);
?>

<? require "header.php"; ?>

<script>
    $().ready(function () {
        $('.lang-selection a').on('click', function (e) {
            e.preventDefault();
            $('.lang-selection').find('a.active').removeClass('active');
            $(this).addClass('active');
            var activeItems = $(this).attr('href').replace("#", "");
            $('#languages').find('.langInput').hide();
            $('#languages').find('.' + activeItems).show();
            return false;
        });
    });
</script>
<div class="content-page">

    <div class="header-area">

        <div class="breadcrumbs">
            <a href="index.php">Admin Home</a>
            <span><a href="static.php">Static Pages</a></span>
        </div>
    </div>

    <div class="content-outer">

        <h2>Edit<strong>Static</strong></h2>

        <? echo getMessages(); ?>

        <div class="content-inner">
            <form method="POST" action="" enctype="multipart/form-data" class="form" novalidate autocomplete="off">
                <table class="pagetable" id="languages">
                    <tbody>
                        <tr>
                            <td colspan="2" class="lang-selection">
                                <ul class="tabs custom">
                                    <li><a href="#baseLang" class="tab active">Default</a></li>
                                    <? foreach ($languages as $l) { ?>
                                        <li><a href="#<? echo $l['iso']; ?>" class="tab"><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i><? echo $l['iso']; ?></a></li>
                                    <? } ?>
                                </ul>
                            </td>
                        </tr>
                        <tr>
                            <td>Filename</td>
                            <td><input name="filename" type="text" value="<? echo $_POST['filename']; ?>" required /></td>
                        </tr>
                        <tr class="baseLang langInput">
                            <td>Title</td>
                            <td><input name="title" type="text" value="<? echo $_POST['title']; ?>" required /></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Title (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><input name="lang[<? echo $l['iso']; ?>][title]" type="text" value="<? echo $_POST['lang'][$l['iso']]['title']; ?>"  /></td>
                            </tr>
                        <? } ?>
                        <tr class="baseLang langInput">
                            <td>Header Title</td>
                            <td><input name="headertitle" type="text" value="<? echo $_POST['headertitle']; ?>" /></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Header Title (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><input name="lang[<? echo $l['iso']; ?>][headertitle]" type="text" value="<? echo $_POST['lang'][$l['iso']]['headertitle']; ?>" /></td>
                            </tr>
                        <? } ?>
                        <tr class="baseLang langInput">
                            <td>Meta KW</td>
                            <td><input name="metakw" type="text" value="<? echo $_POST['metakw']; ?>" /></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Meta KW (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><input name="lang[<? echo $l['iso']; ?>][metakw]" type="text" value="<? echo $_POST['lang'][$l['iso']]['metakw']; ?>" /></td>
                            </tr>
                        <? } ?>
                        <tr class="baseLang langInput">
                            <td>Meta Desc</td>
                            <td><input name="metadesc" type="text" value="<? echo $_POST['metadesc']; ?>" /></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Meta Desc (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><input name="lang[<? echo $l['iso']; ?>][metadesc]" type="text" value="<? echo $_POST['lang'][$l['iso']]['metadesc']; ?>" /></td>
                            </tr>
                        <? } ?>
                        <tr class="baseLang langInput">
                            <td>Body</td>
                            <td><textarea name="body" cols="35" rows="15" class="editor-enabled"><? echo $_POST['body']; ?></textarea></td>
                        </tr>
                        <? foreach ($languages as $l) { ?>
                            <tr class="<? echo $l['iso']; ?> langInput" style="display: none;">
                                <td><i class="flag-icon flag-icon-<? echo strtolower($l['iso']); ?>"></i>Body (<? echo $l['name']; ?>/<? echo $l['iso']; ?>)</td>
                                <td><textarea name="lang[<? echo $l['iso']; ?>][body]" cols="35" rows="15" class="editor-enabled"><?php echo base64_decode($_POST['lang'][$l['iso']]['body']); ?></textarea></td>
                            </tr>
                        <? } ?>
                        <tr>
                            <td>Published</td>
                            <td>
                                <select name="status">
                                    <option<? echo ($_POST['status'] == '1') ? ' selected' : ''; ?> value="1">Yes</option>
                                    <option<? echo ($_POST['status'] == '0') ? ' selected' : ''; ?> value="0">No</option>
                                </select>
                            </td>
                        </tr>
                        <tr class="item submit">
                            <td colspan="2">
                                <input type="hidden" name="id" value="<? echo $id; ?>" />
                                <input type="hidden" name="formSubmit" value="1" />
                                <button type="submit" class="btn action-save">Save</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</div>


<?php require "footer.php"; ?>
